Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036162
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2017-06-01 12:262019-07-02 09:15
ReporteralostaleView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036162: clean up openbravo.log

Descriptionopenbravo.log is full of useless/incorrect/missing context messages.

This is an umbrella issue to track issues to clean it up.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036141 closedalostale Openbravo ERP stateful WS calls create HttpSessions that live till Tomcat kills them 
depends on defect 0036161 closedalostale Openbravo ERP useless log having an incorrect definition for validation rule 
depends on defect 0031674 closedalostale Openbravo ERP too verbose log for invalid login attempt 
depends on defect 0036165 closedalostale Openbravo ERP useless log for non matching DB messages 
depends on defect 00285863.0PR16Q3 closedalostale Openbravo ERP SimpleProduct selector shows errors in log when there are translations installed 
depends on defect 0036193 closedalostale Openbravo ERP DefaultJsonDataService logs an exception if property *obSelected* is not found in the Entity when fetching data for PickAndEdit 
depends on defect 0036183 closedplatform Openbravo ERP Platform: EntityPersistenceEventObserver validations has a high log level 
depends on defect 0036191 closedcollazoandy4 Modules Functional validations in REM_RemittanceProcess are logged as exceptions in the log 
depends on defect 0036208 newRetail Retail Modules Retail: EntityPersistenceEventObserver validations has a high log level 
depends on defect 0036207 closedmarkmm82 Openbravo ERP Finance: EntityPersistenceEventObserver validations has a high log level 
depends on defect 0036226 closedAugustoMauch Openbravo ERP On first install.source don't show SQLException when 'drop role' tries to delete a role which does not exist 
depends on defect 0036254 closedalostale Openbravo ERP An exception is logged with a process request defined as an organization distinct from * 
depends on defect 0036271 closedalostale Openbravo ERP login page logs error if loaded while logging out 
depends on feature request 0036281 acknowledgedjarmendariz Openbravo ERP "Grid Legacy" warning should be moved from runtime to compile time 
depends on defect 0036286 closedjarmendariz Openbravo ERP Several processes are marked as 'Grid Legacy' and should be converted to avoid runtime warning on every use 
depends on defect 0036444 closedalostale Openbravo ERP SqlC generated code hides stack traces in case of error 
depends on defect 0036475 closedalostale Openbravo ERP update.database logs irrelevant information 
depends on design defect 0036527 closedalostale Openbravo ERP OBException should not log itself by default 
depends on defect 0031844 closedalostale Openbravo ERP warn message accessing to Session Preferences > Change Logs 
depends on defect 0036528 closedalostale Openbravo ERP can't set trace log level from UI 
depends on defect 0036582 closedranjith_qualiantech_com Retail Modules Bad logging code at exception at MobileCoreLoginHandler 
depends on defect 0037435 closedalostale Openbravo ERP unneeded traces logged when exception occurs on background DalBaseProcess 
depends on feature request 0006183 newplatform Openbravo ERP Audit codebase and convert all <Exception>.printStackTrace() calls to proper log4j logging 
depends on defect 0040355 closedalostale Openbravo ERP Some frequent and apparently harmless XmlEngine error message (data not defined for structure) should be probably silenced 
depends on defect 0040347 closedalostale Openbravo ERP Improve log of ImportEntryManager 
depends on defect 0040407 closedalostale Openbravo ERP no context info when logging in SE_Payment_BPartner 
depends on defect 0040381 closedalostale Openbravo ERP incorrect warn message logged by ReadOnlyDataSourceService for P&E  
depends on defect 0041090 closedalostale Openbravo ERP missing log context info when setting an incorrect org in OBContext 
depends on defect 0041217 resolvedalostale Openbravo ERP error logged while logging out. 
related to defect 0036261 closedalostale Openbravo ERP connections logged as abandoned in translate task 
related to defect 0036429 closedshuehner Openbravo ERP SqlC generates code using printStackTrace which should not be used 
related to defect 0036430 closedTriage Finance Openbravo ERP Cleanup bad logging (modules/* functional code): don't use printStackTrace or System.out.print* or System.err.print* 
related to defect 0036431 closedshuehner Openbravo ERP Cleanup logging (modules/platform part) using or mentioned printStackTrace or System.*.print* 
related to defect 0037849 closedalostale Openbravo ERP Remove system key hash in log files as not useful and makes log-parsing harder 
related to feature request 0037853 closedalostale Openbravo ERP ImportEntryManager.reportsStatus only does long time avg, useless to see any short term changes 
related to design defect 0039947 acknowledgedplatform Openbravo ERP insufficient context logged when DalThreadHandler fails 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-06-01 12:26 alostale New Issue
2017-06-01 12:26 alostale Assigned To => platform
2017-06-01 12:26 alostale Modules => Core
2017-06-01 12:26 alostale Triggers an Emergency Pack => No
2017-06-01 12:26 alostale Relationship added depends on 0036161
2017-06-01 12:27 alostale Relationship added depends on 0031674
2017-06-01 14:46 alostale Relationship added depends on 0036165
2017-06-01 14:53 alostale Relationship added depends on 0028586
2017-06-01 17:16 alostale Relationship added has duplicate 0036141
2017-06-01 17:16 alostale Relationship replaced related to 0036141
2017-06-07 13:14 shuehner Issue Monitored: shuehner
2017-06-08 08:54 alostale Status new => acknowledged
2017-06-08 10:58 alostale Relationship added depends on 0036193
2017-06-08 11:03 alostale Relationship added depends on 0036183
2017-06-08 12:47 alostale Relationship added depends on 0036191
2017-06-08 14:33 alostale Relationship added depends on 0036208
2017-06-08 14:33 alostale Relationship added depends on 0036207
2017-06-16 10:39 alostale Relationship added related to 0036261
2017-06-16 11:26 alostale Relationship added depends on 0036226
2017-06-16 11:45 alostale Relationship added depends on 0036254
2017-06-19 10:58 alostale Relationship added depends on 0036271
2017-06-20 09:27 alostale Relationship added depends on 0036281
2017-06-20 09:28 alostale Relationship added depends on 0036286
2017-07-06 12:26 shuehner Relationship added related to 0036429
2017-07-06 12:53 shuehner Relationship added related to 0036430
2017-07-06 13:08 shuehner Relationship added related to 0036431
2017-07-07 11:17 alostale Relationship added depends on 0036444
2017-07-12 12:25 alostale Relationship added depends on 0036475
2017-07-24 11:49 alostale Relationship added depends on 0036527
2017-07-24 12:22 alostale Relationship added depends on 0031844
2017-07-24 12:42 alostale Relationship added depends on 0036528
2017-08-02 15:40 ioritzCia Relationship added depends on 0036582
2017-12-04 08:12 alostale Relationship added depends on 0037435
2018-02-08 08:14 alostale Relationship added related to 0037849
2018-02-08 08:16 alostale Relationship added related to 0037853
2018-04-08 17:06 shuehner Relationship added depends on 0006183
2019-01-15 08:34 alostale Relationship added related to 0039947
2019-03-12 10:37 alostale Relationship added depends on 0040355
2019-03-12 10:55 alostale Relationship added depends on 0040347
2019-03-18 14:24 alostale Relationship added depends on 0040407
2019-03-22 09:14 alostale Relationship added depends on 0040381
2019-06-17 08:44 alostale Relationship added depends on 0041090
2019-07-02 09:15 alostale Relationship added depends on 0041217


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker